Subject: bug#54770: Non-root LUKS devices unusable after Shepherd upgrade

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Apr 2022 14:39:06 +0200

Hi Christoph,

Christoph Weiss <[email-masked]> skribis:

> I ran into the same issue (no prompt but instead about 32 times the
> message "Nothing to read on input.")
>
> I bisected this issue myself (starting before the fix was pushed) and
> arrived at 400c9ed3d779308e56038305d40cd93acb496180 as the culprit.
>
> However, even with the current master
> (aa5716703fd4603dd89ce9b55f555b7aa85f4c9b), the issue has not been
> fixed for me.

It’s definitely fixed for me and the new ‘separate-home-os’ system test
agrees¹.

Did you reconfigure after pulling?  What does ‘guix system describe’
report?

Thanks,
Ludo’.

¹ https://ci.guix.gnu.org/search?query=spec%3Atests+separate-home